{{> shared/header }}
{{> shared/_navbar }}

<br />
<div class="ui grid">
    <div class="doubling two column row">
        <div class="column">
            <h1 class="ui header"><i>{{ name }}</i></h1>
            <br /><br />
            <h3 class="ui header">{{ description }}</h3>
            <br /><br />
            <button id="copy-link" class="ui button green" data-link="{{ link }}">Copy Link</button>
        </div>
        <div class="column">
            <h3>Spells</h3>
            {{> wow/_spells class="warrior_spells" color="brown" spells=warrior_spells }}
            {{> wow/_spells class="hunter_spells" color="green" spells=hunter_spells }}
            {{> wow/_spells class="mage_spells" color="teal" spells=mage_spells }}
            {{> wow/_spells class="paladin_spells" color="pink" spells=paladin_spells }}
            {{> wow/_spells class="priest_spells" color="white" spells=priest_spells }}
            {{> wow/_spells class="rogue_spells" color="yellow" spells=rogue_spells }}
            {{> wow/_spells class="shaman_spells" color="blue" spells=shaman_spells }}
            {{> wow/_spells class="warlock_spells" color="purple" spells=warlock_spells }}
            {{> wow/_spells class="druid_spells" color="orange" spells=druid_spells }}
            {{> wow/_spells class="other_spells" color="grey text--gray" spells=other_spells }}
            <h3>Talents</h3>
            {{> wow/_spells class="warrior_talents" color="brown" spells=warrior_talents}}
            {{> wow/_spells class="hunter_talents" color="green" spells=hunter_talents }}
            {{> wow/_spells class="mage_talents" color="teal" spells=mage_talents}}
            {{> wow/_spells class="paladin_talents" color="pink" spells=paladin_talents }}
            {{> wow/_spells class="priest_talents" color="white" spells=priest_talents }}
            {{> wow/_spells class="rogue_talents" color="yellow" spells=rogue_talents }}
            {{> wow/_spells class="shaman_talents" color="blue" spells=shaman_talents }}
            {{> wow/_spells class="warlock_talents" color="purple" spells=warlock_talents }}
            {{> wow/_spells class="druid_talents" color="orange" spells=druid_talents }}
            {{> wow/_spells class="other_talents" color="grey text--gray" spells=other_talents }}
        </div>

    </div>
</div>


<script>
    const copyToClipboard = (str, successMessage) => {
        console.log(str);
        const el = document.createElement('textarea');
        el.value = str;
        document.body.appendChild(el);
        el.select();
        document.execCommand('copy');
        document.body.removeChild(el);
        swal({text: successMessage, icon: 'success'});
        swal_button("green");
    };
    $(function() {
        let copy = $("#copy-link");
        console.log("occurred");
        console.log(copy);
        copy.on('click', function() {
            console.log("clicked");
            copyToClipboard(copy.data("link"), "Successfully copied link!");
        });
    });
</script>
<script src="/javascript/build.js"></script>

{{> shared/footer }}